<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--       
*    Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*    Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>About Internationalization</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>About Internationalization</h2>
<p><small><a href="#seealso">See Also</a></small>
<p>Internationalization permits applications to be adapted to various languages 
   and regions without requiring engineering changes or recompilation. Internationalized programs enable textual elements, such as status messages and 
   GUI component labels, to be stored outside the source code and retrieved dynamically
   rather than hardcoded in the program.

<h3>Internationalizing  Source Files </h3>
<p>When you internationalize existing source files, the IDE searches for every
	customizable occurrence of a quoted text string. If you decide to internationalize
	the string, the IDE replaces it with a method call and adds the string to the
	appropriate resource bundle. You can select from several code formats for generating
internationalized strings, or you can use your own custom format.</p>
<ul class="note">
	<li>You can also add internationalization strings as you create a source file
		using the Insert Internationalized String command. </li>
</ul>
<h3>The IDE's Internationalization Tools </h3>
<p>The IDE's internationalization tools enable you to insert internationalization
  strings while you write your code as well as internationalize files that are
  already written. 
<p>The IDE's I18N tools include:</p>
  <ul>
      <li><b>Automatic Internationalization</b>. Enables you to have code that is 
      generated by the GUI Builder to be internationalized as you design your form.</li>
    <li><b>Internationalization wizard</b>. Enables you to replace hard-coded strings with internationalized strings
  in multiple source files.
    <li><b>Internationalization Test wizard</b>. Enables you to check resource bundles for missing key
  and value pairs.
  </ul>
  <p>&nbsp;</p>

  <dl>
    <dt><a name="seealso">See Also</a></dt>
    <dd>  <a href="i18n_automatic.html">Automatically Internationalizing at Design Time</a></dd>    
    <dd>  <a href="i18nwizard.html">Internationalizing a Set of Files With the Internationalization Wizard</a></dd>
      <!--<a href="../tbd.html">Running a Localized Application</a><br>-->
      <dd><a href="../propfiles/about_resourcebundles.html">Editing Resource Bundles</a></dd>
</dl>
        <hr>
<small><a href="../credits.html">Legal Notices</a></small> 
<table border="0" cellpadding="50">
  <tr><td>&nbsp;</td></tr>
</table>
</body>
</html>
